## ucspi-unix 0.34

=== Makefile ===
PACKAGE = ucspi-unix
VERSION = 0.34

CC = gcc
CFLAGS = -O -g -W -Wall

LD = $(CC)
LDFLAGS = -g
LIBS =

prefix = /usr
install_prefix =
bindir = $(install_prefix)$(prefix)/bin

install = /usr/bin/install

distdir = $(PACKAGE)-$(VERSION)

PROGS = unixserver unixclient
SOURCES = unixserver.c unixclient.c env.c utoa.c
SCRIPTS = unixcat

all: $(PROGS)

unixclient: unixclient.o env.o utoa.o
	$(LD) $(LDFLAGS) -o $@ unixclient.o env.o utoa.o $(LIBS)

unixserver: unixserver.o env.o utoa.o
	$(LD) $(LDFLAGS) -o $@ unixserver.o env.o utoa.o $(LIBS)

unixserver.o: unixserver.c
unixclient.o: unixclient.c
env.o: env.c
utoa.o: utoa.c

install:
	$(install) -d $(bindir)
	$(install) -m 755 $(PROGS) $(SCRIPTS) $(bindir)

clean:
	$(RM) *.o $(PROGS)

## ucspi-unix 0.36

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

all: programs installer instcheck instshow

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

compile: conf-cc
	( echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -1 conf-cc` '-I. -o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

conf_bin.c: conf-bin
	head -1 conf-bin | \
	  sed -e 's/"/\\"/g' \
	      -e 's/^/const char conf_bin[] = "/' \
	      -e 's/$$/";/' >conf_bin.c

conf_man.c: conf-man
	head -1 conf-man | \
	  sed -e 's/"/\\"/g' \
	      -e 's/^/const char conf_man[] = "/' \
	      -e 's/$$/";/' >conf_man.c

env.o: compile env.c
	./compile env.c

installer: load insthier.o
	./load insthier -linstaller
	mv insthier installer

instcheck: load insthier.o
	./load insthier -linstcheck
	mv insthier instcheck

insthier.o: compile insthier.c conf_bin.c conf_man.c
	./compile insthier.c

instshow: load insthier.o
	./load insthier -linstshow
	mv insthier instshow

load: conf-ld
	( echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec `head -1 conf-ld` '-o "$$main" "$$main.o" $${1+"$$@"}' -lsysdeps;\
	) >load
	chmod 755 load

programs: unixclient unixserver unixcat

socket.lib: compile load trylib.c
	( ( ./compile trylib.c && ./load trylib -lsocket -lnsl ) >/dev/null 2>&1 \
	  && echo -lsocket -lnsl || exit 0 ) >socket.lib
	rm -f trylib.o trylib

unixcat: warn-auto.sh unixcat.sh
	cat warn-auto.sh unixcat.sh >unixcat
	chmod 755 unixcat

unixclient: load unixclient.o env.o utoa.o socket.lib
	./load unixclient env.o utoa.o `cat socket.lib` 

unixclient.o: compile unixclient.c
	./compile unixclient.c

unixserver: load unixserver.o env.o utoa.o socket.lib
	./load unixserver env.o utoa.o `cat socket.lib` 

unixserver.o: compile unixserver.c
	./compile unixserver.c

utoa.o: compile utoa.c
	./compile utoa.c

## ucspi-unix 1.0

=== Makefile ===
# Don't edit Makefile!  Use conf-* for configuration.
#
# Generated by spac see http://untroubled.org/spac/

SHELL=/bin/sh

DEFAULT: all

all: libraries programs docs

clean: TARGETS
	rm -f `cat TARGETS`

clean-spac: clean AUTOFILES
	rm -f `cat AUTOFILES`

compile: conf-cc
	( echo '#!/bin/sh'; \
	  echo 'source=$$1; shift'; \
	  echo 'base=`echo "$$source" | sed -e s:\\\\.c$$::`'; \
	  echo exec `head -n 1 conf-cc` -I.  '-o $${base}.o -c $$source $${1+"$$@"}'; \
	) >compile
	chmod 755 compile

docs: unixclient.1.html unixserver.1.html

env.o: compile env.c haspeercred.h
	./compile env.c

haspeercred.h: compile load haspeercred.h0 haspeercred.h1 trypeercred.c
	( ( ./compile trypeercred.c && ./load trypeercred; ) && cat haspeercred.h1 || cat haspeercred.h0 ) > $@
	@rm -f trypeercred.o trypeercred

haswaitp.h: compile load haswaitp.h0 haswaitp.h1 trywaitp.c
	( ( ./compile trywaitp.c && ./load trywaitp; ) && cat haswaitp.h1 || cat haswaitp.h0 ) > $@
	@rm -f trywaitp.o trywaitp

install: 
	install -d $(or $(prefix),/usr/local)/$(or $(bindir),bin)
	install -m 755 unixcat unixclient unixserver $(or $(prefix),/usr)/$(or $(bindir),bin)
	install -d $(or $(prefix),/usr/local)/$(or $(mandir),man)/man1
	install -m 644 unixclient.1 unixserver.1 $(or $(prefix),/usr)/$(or $(mandir),man)/man1

libraries: 

load: conf-ld
	( echo '#!/bin/sh';\
	  echo 'main="$$1"; shift';\
	  echo exec `head -n 1 conf-ld` -L. '-o "$$main" "$$main.o" $${1+"$$@"}'; \
	) >load
	chmod 755 load

programs: unixclient unixserver unixcat

socket.lib: compile load
	@echo -n 'Checking for socket libraries: '
	@echo 'main() { ; }' >trylib-lsocket.c
	@{ ./compile trylib-lsocket.c && ./load trylib-lsocket -lsocket -lnsl; } >/dev/null 2>&1 \
	  && { echo -lsocket -lnsl >socket.lib; echo -lsocket -lnsl; } \
	  || { : >socket.lib; echo no; }
	@rm -f trylib-lsocket.c trylib-lsocket.o trylib-lsocket

unixcat: warn-auto.sh unixcat.sh
	cat warn-auto.sh unixcat.sh >unixcat
	chmod 755 unixcat

unixclient: unixclient.o load env.o utoa.o socket.lib
	./load unixclient env.o utoa.o  `cat socket.lib`

unixclient.1.html: unixclient.1
	man --html='cat %s' ./unixclient.1 > unixclient.1.html

unixclient.o: compile unixclient.c
	./compile unixclient.c

unixserver: unixserver.o load env.o utoa.o socket.lib
	./load unixserver env.o utoa.o  `cat socket.lib`

unixserver.1.html: unixserver.1
	man --html='cat %s' ./unixserver.1 > unixserver.1.html

unixserver.o: compile unixserver.c haswaitp.h
	./compile unixserver.c

utoa.o: compile utoa.c
	./compile utoa.c

=== debian/changelog ===
ucspi-unix (1.0-6) unstable; urgency=medium

  * Add the prototypes patch to fix the FTBFS with GCC 15.
    Closes: #1098026
  * Declare compliance with Policy 4.7.2 with no changes.
  * Add the year 2025 to my debian/* copyright notice.
  * Drop support for building with dietlibc. Closes: #1055189
  * Convert the watch file to version 5 of the format and
    use uscan variable substitutions.
  * Salsa CI:
    - do not try to build for experimental
    - switch to debian/salsa-ci.yml
    - enable more tests, tighten some restrictions

 -- Peter Pentchev <roam@debian.org>  Tue, 23 Sep 2025 17:36:07 +0300

ucspi-unix (1.0-5) unstable; urgency=medium

  * Handle mode_t separately from uid_t and gid_t in
    the strtoul-int-gid patch now renamed to strtoul-int-uid-mode.
    Fixes the FTBFS on hppa.
  * Add the chown-if-needed patch to fix the FTBFS on sparc64.
    Closes: #1089829

 -- Peter Pentchev <roam@debian.org>  Fri, 13 Dec 2024 13:51:50 +0200

ucspi-unix (1.0-4) unstable; urgency=medium

  * Stop using dh-buildinfo, dpkg does that by itself. Closes: #1088390
  * Declare compliance with Policy 4.7.0 with no changes.
  * Switch to debhelper compat level 14:
    - use the X-DH-Compat source control field
    - use the package name prefix for debian/manpages
    - let debhelper handle some dependencies automatically
  * Minor refreshing of the autopkgtest Python test suite:
    - use Ruff 0.8.3, drop some obsolete overrides, add some new ones
    - reorganize the Ruff config files
    - add a pyupgrade test environment to the tox.ini file, never to be
      executed automatically
  * Add the strtoul-errno patch to catch overflow errors. Closes: #1089807
  * Add the strtoul-max and strtoul-int-gid patches to fix FTBFS on i386.
    Closes: #1089806, #1089808
  * Add the Vcs-* headers to the source control stanza.
  * Drop the unused libbg-dev build dependency.

 -- Peter Pentchev <roam@debian.org>  Fri, 13 Dec 2024 00:56:21 +0200

ucspi-unix (1.0-3) unstable; urgency=medium

  * Minimize the upstream OpenPGP signing key.
  * Use HTTPS URLs for various upstream sites.
  * Add the year 2024 to my debian/* copyright notice.
  * Declare dpkg-build-api v1, drop the implied Rules-Requires-Root: no
    declaration.
  * Use dh-package-notes to record ELF package metadata.
  * autopkgtest internal testing framework:
    - tox.ini: add tags for running tox-stages
    - do not pass the python_version option to mypy, let it check against
      the Python interpreter that it is being run with
    - use hatchling for the PEP517 build
    - convert tox.ini to the Tox 4.x format
    - use Ruff instead of black, flake8, and pylint
    - reformat and refactor the source code according to Ruff's suggestions

 -- Peter Pentchev <roam@debian.org>  Tue, 27 Feb 2024 10:56:25 +0200

ucspi-unix (1.0-2) unstable; urgency=medium

  [ Dmitry Bogatov ]
  * Add a Gitlab CI config file.

  [ Peter Pentchev ]
  * New maintainer. Closes: #983804
  * Only run the dietlibc build if possible. Closes: #991774
  * Add my debian/* copyright notice.
  * Bump the debhelper compat level from 11 to 13 with no changes.
  * Add an EditorConfig definitions file.
  * Add the line-buffered patch for unixserver to make sure that
    parent processes and log processors see each line as it comes.
  * Run a custom test suite at build time and as an autopkgtest.
  * Drop the versions in the dh-buildinfo and dietlibc-dev build
    dependencies, the constraints were satisfied even in oldstable.
  * Correct the Bug-Debian field of the fix-getopt-string patch.
  * Declare compliance with Policy 4.6.2 with no changes.
  * Add Rules-Requires-Root: no to the source control stanza.
  * Explicitly state dh-sequence-single-binary.

 -- Peter Pentchev <roam@debian.org>  Thu, 05 Jan 2023 17:12:42 +0200

ucspi-unix (1.0-1) unstable; urgency=medium

  * New maintainer (Closes: #907084)
  * Convert packaging to debhelper
  * Fix whitespace errors in `debian/changelog'
  * Write `debian/watch' file
  * Add upstream signing key
  * Update standards version to 4.2.1 (no changes needed)
  * Remove unneed link from package description
  * Convert `debian/copyright' to dep-5 format
  * Record build environment with `dh-buildinfo'
  * Simplify rebuilding with diet libc
  * Fix command line parsing of unixserver (Closes: #778630)

 -- Dmitry Bogatov <KAction@debian.org>  Wed, 28 Nov 2018 04:26:16 +0000

ucspi-unix (1.0-0.1) unstable; urgency=medium

  [ Gianfranco Costamagna ]
  * Non-maintainer upload
  * New upstream version (Closes: #884405)
    - d/rules: manually install binaries and manpages, because
      bglibs install features are dropped now
    - add groff/man-db dependencies,
      needed for (non-installed for now html pages)
  * Switch to quilt format
  * Add homepage field, to please lintian

  [ Chris Lamb ]
  * Make build reproducible by removing the timestamps from zipped manpages.
    (Closes: #777019)

  [ Valerie R Young ]
  * Make build reproducible by sorting the order of md5sums files.
    (Closes: #847037)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 13 Apr 2018 16:26:19 +0200

ucspi-unix (0.36-4) unstable; urgency=medium

  * debian/rules: add -D_GNU_SOURCE to CFLAGS (thx peter green, closes:
    #527665).
  * debian/control: Standards-Version: 3.8.2.0.
  * debian/control: Build-Depends: libbg-dev instead of bglibs-dev (has
    been renamed).
  * debian/rules: do not ignore 'make clean' error.
  * debian/copyright: properly refer to common-licenses/GPL-2, not GPL.

 -- Gerrit Pape <pape@smarden.org>  Sun, 28 Jun 2009 23:19:38 +0000

ucspi-unix (0.36-3) unstable; urgency=low

  * debian/implicit: update to revision 1.10.
  * debian/rules: DEB_BUILD_OPTIONS=diet to optionally build with the diet
    libc instead of glibc; cleanup.
  * debian/README.Debian.diet; new: how to build package with the diet
    libc.
  * debian/ucspi-unix.docs: add debian/README.Debian.diet.



=== debian/control ===
Source: ucspi-unix
Section: net
Priority: optional
Maintainer: Peter Pentchev <roam@debian.org>
Build-Depends:
 debhelper (>= 13.15.2~),
 dh-package-notes,
 dh-sequence-single-binary,
 dpkg-build-api (= 1),
 groff,
 man-db,
 python3 <!nocheck>,
 python3-utf8-locale <!nocheck>,
Standards-Version: 4.7.2
Homepage: https://untroubled.org/ucspi-unix
X-DH-Compat: 14
Vcs-Browser: https://salsa.debian.org/debian/ucspi-unix/
Vcs-Git: https://salsa.debian.org/debian/ucspi-unix.git

Package: ucspi-unix
Architecture: any
Description: UNIX-domain socket client-server command-line tools
 unixclient and unixserver are command-line tools for building UNIX
 domain client-server applications.  unixclient connects to a UNIX domain
 socket and runs a program of your choice.  unixserver creates a UNIX
 domain socket, waits for incoming connections and, for each connection,
 runs a program of your choice.
 .
 unixclient and unixserver conform to UCSPI, the UNIX Client-Server
 Program Interface, using UNIX domain sockets.  UCSPI tools are available
 for several different networks.
 .
 See http://cr.yp.to/proto/ucspi.txt for more information on UCSPI.

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+all
include /usr/share/dpkg/default.mk
export CFLAGS  += $(shell getconf LFS_CFLAGS)
export LDFLAGS += $(shell getconf LFS_LDFLAGS)
export prefix = $(CURDIR)/debian/ucspi-unix/usr
export mandir = share/man

include /usr/share/debhelper/dh_package_notes/package-notes.mk

%:
	dh $@

override_dh_auto_configure:
	echo '$(CC) $(CFLAGS) $(CPPFLAGS)' > conf-cc
	echo '$(CC) $(LDFLAGS)' > conf-ld

override_dh_auto_test:
	env PYTHONPATH='$(CURDIR)/debian/tests/python' python3 -B -u -m ucspi_unix_test -d '$(CURDIR)' -p unix

=== debian/watch ===
Version: 5

Source: https://untroubled.org/ucspi-unix/
Matching-Pattern: (?:|.*/)@PACKAGE@@ANY_VERSION@@ARCHIVE_EXT@
Pgp-Mode: auto
